## Apache Zeta Components Manual :: Docs For Class ezcPersistentObjectSchemaGenerator

### PersistentObjectDatabaseSchemaTiein::ezcPersistentObjectSchemaGenerator

### Class ezcPersistentObjectSchemaGenerator

ezcPersistentObjectSchemaGenerator is capable to generate PersistentObject definition files from DatabaseSchema definitions.

This is the main class of the PersistentObjectDatabaseSchemaTiein package. It implemets the generator class itself. To run the generator, please use the file "rungenerator.php", inside this package.

To generate PersistentObject definitions from a DatabaseSchema, use the following synopsis:

1. $php PersistentObjectDatabaseSchemaTiein/src/rungenerator.php-s path/to/schema.file-f xml path/to/persistentobject/defs/

The -s / --source parameter points to the source schema file. The -f / --format option specifies the format the schema file has. The argument for the program specifies the directory, where the PersistentObject definitions will be stored.

For help information simply call

1. $php PersistentObjectDatabaseSchemaTiein/src/rungenerator.php

or

1. $php PersistentObjectDatabaseSchemaTiein/src/rungenerator.php-h

for extended help information.

Source for this file: /PersistentObjectDatabaseSchemaTiein/src/generator.php

Version: | //autogen//

### Constants

`PROGRAM_DESCRIPTION = 'Generates defition files for the eZ PersistentObject package from eZ DatabaseSchema formats. The directory to save the definition files to is provided as an argument.'` |

### Method Summary

public void | `__construct( )` Create a new generator.
public void | `run( )` Run the generator.

### Methods

#### __construct

void __construct( )

Create a new generator.

This method initializes the necessary objects to run the application.

#### run

void run( )

Run the generator.

Process the given options and generate a PersistentObject definition from it.

Documentation generated by phpDocumentor 1.4.3